# Class MedicineServiceTest

Namespace
  adas_core.Test.Services

Assembly
  adas-core.Test.dll

    [TestFixture]
    public class MedicineServiceTest

Inheritance
  object
  MedicineServiceTest

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Methods

### CalculateParentalNutritionMedicine_Notes_NPTL_Return_NPTL_Medicine()

    [Test]
    public Task CalculateParentalNutritionMedicine_Notes_NPTL_Return_NPTL_Medicine()

#### Returns

Task

### CalculateParentalNutritionMedicine_Notes_NPT_Return_NPT_Medicine()

    [Test]
    public Task CalculateParentalNutritionMedicine_Notes_NPT_Return_NPT_Medicine()

#### Returns

Task

### GetMedicinesOfTreatments_Medicines_Return_Medicines()

    [Test]
    public Task GetMedicinesOfTreatments_Medicines_Return_Medicines()

#### Returns

Task

### GetMedicinesOfTreatments_Not_Get_Medicines_Not_Code_identifier_Return_Note_Medicines()

    [Test]
    public Task GetMedicinesOfTreatments_Not_Get_Medicines_Not_Code_identifier_Return_Note_Medicines()

#### Returns

Task

### GetMedicinesOfTreatments_Not_Get_Medicines_Return_Note_Medicines()

    [Test]
    public Task GetMedicinesOfTreatments_Not_Get_Medicines_Return_Note_Medicines()

#### Returns

Task

### GetMedicinesOfTreatments_Null_Medicine_Return_0()

    [Test]
    public Task GetMedicinesOfTreatments_Null_Medicine_Return_0()

#### Returns

Task

### Setup()

    [SetUp]
    public void Setup()